# Package edu.isi.pegasus.planner.selector.site

Class Summary
Abstract: The Abstract Site selector.
AbstractPerJob: The base class for the site selectors that want to map one job at a time.
Group: A site selector than ends up doing grouping jobs together on the basis of an identifier specifed in the dax for the jobs, and schedules them on to the same site.
Heft: The HEFT based site selector.
NonJavaCallout: This is the class that implements a call-out to a site selector which is an application or executable script.
Random: A random site selector that maps to a job to a random pool, amongst the subset of pools where that particular job can be executed.
RoundRobin: This ends up scheduling the jobs in a round robin manner.
SiteSelectorFactory: A factory class to load the appropriate type of Site Selector, as specified by the user at runtime in properties.

Exception Summary
SiteSelectorFactoryException: Class to notify of failures while instantiating SiteSelector implementations.